package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.member.entity.MemberEntity;
import com.ycwl.basic.model.pc.member.req.MemberReqQuery;
import com.ycwl.basic.model.pc.member.resp.MemberRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:57
 * 用户（前台）
 */
@Mapper
public interface MemberMapper {
    List<MemberRespVO> list(MemberReqQuery memberReqQuery);
    MemberRespVO getById(Long id);
    int add(MemberEntity member);
    int deleteById(Long id);
    int update(MemberEntity member);
}
