package com.ycwl.basic.model.pc.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 13:57
 * 订单购买的内容（订单明细）
 */
@Data
@TableName("order_item")
public class OrderItemEntity {
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 商品类型，0其他，1成片，2原片，3模板成片
     */
    private Integer goodsType;
    /**
     * 商品ID，goods_type=1关联video.id，=2关联source.id，=3关联template.id
     */
    private Long goodsId;

}
