package com.ycwl.basic.model.pc.video.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 15:28
 * 视频成片
 */
@Data
@TableName("video")
public class VideoEntity {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    private Long scenicId;
    /**
     * 用户id
     */
    private Long memberId;
    /**
     * 模版id
     */
    private Long templateId;
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 执行任务的机器ID，render_worker.id
     */
    private Long workerId;
    /**
     * 视频链接
     */
    private String videoUrl;
    private Date createTime;
    private Date updateTime;
}
