package com.ycwl.basic.model.pc.source.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 11:29
 * 视频源
 */
@Data
@ApiModel(value = "视频源响应对象")
public class SourceRespVO {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    /**
     * 来源设备id
     */
    @ApiModelProperty("来源设备id")
    private Long deviceId;
    /**
     * 所属用户
     */
    @ApiModelProperty("所属用户")
    private Long memberId;
    /**
     * 文件存储地址
     */
    @ApiModelProperty("文件存储地址")
    private String url;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
