package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.order.entity.OrderEntity;
import com.ycwl.basic.model.pc.order.req.OrderAddOrUpdateReq;
import com.ycwl.basic.model.pc.order.req.OrderReqQuery;
import com.ycwl.basic.model.pc.order.resp.OrderRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 13:51
 */
public interface OrderService {
    ApiResponse<PageInfo<OrderRespVO>> pageQuery(OrderReqQuery query);
    ApiResponse<List<OrderRespVO>> list(OrderReqQuery query);
    ApiResponse<OrderRespVO> detail(Long orderId);
    ApiResponse<Integer> add(OrderAddOrUpdateReq query);
    ApiResponse<Integer> update(OrderAddOrUpdateReq query);
}
